<?php
if ( !function_exists( 'add_action' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}
?>
<link rel="stylesheet" href="<?=plugin_dir_url( __FILE__ ) ?>../../public/css/DateTimePicker.css">
<script src="<?=plugin_dir_url( __FILE__ ) ?>../../public/js/DateTimePicker.js"></script>
<style type="text/css" media="screen">
	#banner_selector img{
		width:200px;
	}
	#banner_selector td {
	    border: none;
	}
</style>
<h2><small>Step 1: Timer Settings</small></h2>
<form role="form" method="POST" action="?page=<?= EmailCounter::$name ?>.php">
	<input type="hidden" name="action" value="create" id="action">
	<input type="hidden" name="counter[id]" value="<?= $this->counter->id ?>" id="counter_id">
  <div class="form-group">
    <label for="formNameInput">Timer Name</label>
    <input class="form-control" id="formNameInput" placeholder="Name" name="counter[name]" value="<?= $this->counter->name ?>">
  </div>
  <div class="form-group">
    <label for="formWidthInput">Timer Image Width <small>(For Email)</small></label>
    <input class="form-control" id="formWidthInput" placeholder="Width" name="counter[width]" value="<?= $this->counter->width ?>">
  </div>  
  <div class="form-group">
    <label for="formTimezoneInput">Select Time Zone</label>
	<select class="form-control" id="formTimezoneInput" name="counter[timezone]">
		<?php foreach(Application::get_timezones() as $timezone): ?>
			<option value="<?php echo $timezone; ?>" <?php if($this->counter->timezone == $timezone) echo 'selected="select"' ?>><?php echo $timezone; ?></option>
		<?php endforeach; ?>
	</select>
  </div>    
  <label for="exampleInputDate">Select End Date</label>
  <div class="form-group form-inline">    
    <input type="text" class="form-control" id="endDateInput" name="counter[end_date]" value="<?= $this->counter->pretty_date() ?>">

	 <div id="dtBox"></div>
  </div>
  
  <label for="exampleInputTime">Select End Time</label>
  <div class="form-group form-inline">    
	<input type="text" class="form-control" id="endTimeInput" name="counter[end_time]" data-field="time" value="<?= $this->counter->end_time ?>">
  </div>
  
  
  <h2><small>Step 2: Link Settings (optional)</small></h2>
  <?php if(is_object($this->counter->link) && isset($this->counter->link->id)): ?>
	  <input type="hidden" name="link[id]" value="<?= $this->counter->link->id ?>" id="link_id">
  <?php endif; ?>
  <div class="form-group">
    <label for="formNameInput">Link Name <small>(Internal Use)</small></label>
    <input class="form-control" id="formNameInput" placeholder="Name" name="link[name]" value="<? if(is_object($this->counter->link)) echo $this->counter->link->name ?>">
  </div>
  <div class="form-group">
    <label for="forActiveInput">Active URL <small>(Before Expiration)</small></label>
    <input class="form-control" id="formActiveInput" placeholder="Active URL" name="link[active_url]" value="<? if(is_object($this->counter->link)) echo $this->counter->link->active_url ?>">
  </div>
  <div class="form-group">
    <label for="formInactiveInput">Expired URL <small>(After Time Runs Out)</small></label>
    <input class="form-control" id="formInactiveInput" placeholder="Expired URL" name="link[inactive_url]" value="<? if(is_object($this->counter->link)) echo  $this->counter->link->inactive_url ?>">
  </div>  
  
  
  <h2><small>Step 3: Choose Timer Style</small></h2>
  <label for="banner">Active Timer Style</label>
  <div id="banner_selector" class="form-group">
	  <table border="0" cellpadding="1" cellspacing="1" class="table borderless">
	  <?php foreach(Banner::get_all() as $banner): ?>
		  <tr>
		  <td valign="center">
			  <input type="radio" name="counter[template]" value="<?php echo $banner->name() ?>" <?php if($this->counter->banner && $banner->name() == $this->counter->banner->name()): ?> checked <?php endif; ?> >
		  </td>
		  <td>	
		  	<img src="<?php echo $banner->preview_url() ?>" />
		  </td>
		  </tr>
	<?php endforeach; ?>
	</table>
  </div>
  
  <label for="banner">Expired Timer Style</label>
  <div id="banner_selector" class="form-group">
	  <table border="0" cellpadding="1" cellspacing="1" class="table borderless">
			  <tr>
			  <td valign="center">
				  <input type="radio" name="counter[expired]" value="" <?php if(!$this->counter->expired): ?> checked <?php endif; ?> >
			  </td>
			  <td>	
			  	<h3>Default</h3>
			  </td>
			  </tr>
	  <?php foreach(Expired::get_all() as $expired_image): ?>
		  <tr>
		  <td valign="center">
			  <input type="radio" name="counter[expired]" value="<?php echo $expired_image->name() ?>" <?php if($this->counter->expired && $expired_image->name() == $this->counter->expired_image->name()): ?> checked <?php endif; ?> >
		  </td>
		  <td>	
		  	<img src="<?php echo $expired_image->preview_url() ?>" />
		  </td>
		  </tr>
	<?php endforeach; ?>
	</table>
  </div>
  <div class="form-group">
  <button type="submit" class="btn btn-primary">Save</button>
  <button type="button" name="cancel_button" class="btn btn-default">Cancel</button>
	</div>
</form>


<script type="text/javascript">
	$( "#endDateInput" ).datepicker();
	$("#dtBox").DateTimePicker();
</script>